The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"mppe/mppc В ядре 2.6.25"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы OpenNET: Виртуальная конференция (Public)
Изначальное сообщение [ Отслеживать ]

"mppe/mppc В ядре 2.6.25"  +/
Сообщение от TNet on 06-Июл-08, 12:16 
Добырй день!
Нужна поддержка mppe/mppc, в ядре 2.4 у меня была она и все отлично работало. Перешел на 2.6.25. Вот тут начались проблемы - когда соединяешься с использованием MPPE/MPPC или просто MPPE, то трафик не идет (хотя само соединение устанавливается). В логах при этом такое:
              
pppd[2861]: Unsupported protocol 0xaee3 received                
pppd[2861]: Unsupported protocol 'Cisco Systems' (0x41) received
pppd[2861]: Unsupported protocol 0x9a5d received                
pppd[2861]: Unsupported protocol 0xc241 received                
pppd[2861]: Unsupported protocol 'Banyan Vines' (0x35) received  
pppd[2861]: Unsupported protocol 0xe7 received                  
pppd[2861]: Unsupported protocol 0xca04 received                

Нашел патчи для 2.6.24 и http://gaute.vetsj.com/?p=69 и даже пропатчилось мое 2.6.25.9 без проблем, но увы даже mppe не заработало.

Есть ли какие-нибудь мысли ?
Спасибо!!

Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "mppe/mppc В ядре 2.6.25"  +/
Сообщение от Аноним (??) on 06-Июл-08, 13:53 
>Есть ли какие-нибудь мысли ?

pppd свежее? С поддержкой mppe/mppc?


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "mppe/mppc В ядре 2.6.25"  +/
Сообщение от TNet on 06-Июл-08, 19:08 
>>Есть ли какие-нибудь мысли ?
>
>pppd свежее? С поддержкой mppe/mppc?

Как бы 2.4.4, разве есть новее? Патчился и не патчился - увы без толку.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "mppe/mppc В ядре 2.6.25"  +/
Сообщение от batfromhell on 15-Июл-08, 02:53 
>[оверквотинг удален]
>pppd[2861]: Unsupported protocol 0xc241 received
>pppd[2861]: Unsupported protocol 'Banyan Vines' (0x35) received
>pppd[2861]: Unsupported protocol 0xe7 received
>pppd[2861]: Unsupported protocol 0xca04 received
>
>Нашел патчи для 2.6.24 и http://gaute.vetsj.com/?p=69 и даже пропатчилось мое 2.6.25.9 без
>проблем, но увы даже mppe не заработало.
>
>Есть ли какие-нибудь мысли ?
>Спасибо!!

Аналогичная фигня. До 2.6.25 сидел на 2.6.21. Все работало. Переехал на 2.6.25 и получил описанное выше. Патчил разными патчами. Результат одинаков.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "mppe/mppc В ядре 2.6.25"  +/
Сообщение от pavel_simple (??) on 15-Июл-08, 08:15 
mppe давно уже в vanilla -- патчить не нужно -- а mppc не стоит использовать -- оно патентованое и не даёт существенного выигрыша

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

5. "mppe/mppc В ядре 2.6.25"  +/
Сообщение от batfromhell on 16-Июл-08, 18:06 
>mppe давно уже в vanilla -- патчить не нужно -- а mppc
>не стоит использовать -- оно патентованое и не даёт существенного выигрыша
>

твои б слова, да  провайдеру в уши...

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

6. "mppe/mppc В ядре 2.6.25"  +/
Сообщение от Аноним (??) on 05-Окт-08, 15:17 
более того, тот MPPE что в ядре работает только в режиме клиента. Поднять pptp vpn server с ним не получится.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

7. "mppe/mppc В ядре 2.6.25"  +/
Сообщение от Alternativshik email on 10-Окт-08, 22:39 
>более того, тот MPPE что в ядре работает только в режиме клиента.
>Поднять pptp vpn server с ним не получится.

Использую патчи собственного изготовления - на Дебиане работает все отлично, на ванильных ядрах тоже вроде, но точно не скажу, ВПН сервер правда без поддержки mppc - мне mppc нужен только для подключения к провайдеру, а mppe в ВПН сервере работает.
Если кому надо патчи, то есть для ядер 2.6.18, 2.6.20/26. вскоре сделаю для 2.6.27, то могу выслать на мыло - пишите alternativshik@gmail.com с пометкой mppc.
Удачи!

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

8. "mppe/mppc В ядре 2.6.25"  +/
Сообщение от Pinkbyte on 11-Ноя-09, 23:13 
>более того, тот MPPE что в ядре работает только в режиме клиента.
>Поднять pptp vpn server с ним не получится.

А вот не надо ля-ля. У меня именно на ядерном MPPE без всяких примочек и допилок крутится pptpd. Система Gentoo, ядро сначала было vanilla, теперь gentoo-sources... 2.6.30

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру